/*
  BV4627 (I2C) 8 Way relay from ByVac
  Copyright (c) 2011 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/ 

#ifndef _H_bv4627_I_h
#define _H_bv4627_I_h

//#include "Wire.h"
#include "I2c_bv.h"
#include "Arduino.h"

class BV4627_I : public I2c_bv
{
    public:
        BV4627_I(char i2adr);
        void on(char relayNo, int timed);
        void off(char relayNo, int timed);
        int deviceid();
        void version(char *ver);
        void reset();
    private:    
        int i2_get16bit();
        char _i2adr;
};

#endif
